=== frida_mode/test/cmplog/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

qemu:
	@gmake qemu

frida:
	@gmake frida


frida-nocmplog:
	@gmake frida-nocmplog

format:
	@gmake format

debug:
	@gmake debug
