=== debian/changelog ===
aflplusplus (4.00c-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 amd armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Feb 2022 17:23:37 +0100

aflplusplus (4.00c-1) unstable; urgency=medium

  * Switch to llvm-toolchain-13 (Closes: #1004881)
  * New upstream version 4.00c
  * Update debian/copyright
  * Refresh the patch
  * Update doc installation
  * Update lintian-overrides
  * Add a patch to fix spelling errors

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Feb 2022 14:54:56 +0100

aflplusplus (3.14c-2ubuntu1) jammy; urgency=medium

  * Increase test-custom-mutators timeouts to avoid
    FTBFS on arm64 amd armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Feb 2022 15:53:26 +0000

aflplusplus (3.14c-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:24:00 +0000

aflplusplus (3.14c-2) unstable; urgency=medium

  * Add correctly the helper-scripts afl-clang and afl-clang++ (issue with
    upstream .gitignore)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Sep 2021 09:06:42 +0200

aflplusplus (3.14c-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + afl++-doc: Add Multi-Arch: foreign.

  [ Sophie Brun ]
  * New upstream version 3.14c
  * Add missing dependency procps to afl++
  * Add new build-dep: gcc-10-plugin-dev
  * Update debian/copyright
  * debian/rules: update build for new release
  * Add build-deps for tests: clang and libcmocka-dev
  * Install all files in afl-++. afl++-clang is now a transitional package.
  * debian/rules: no need to remove non -fast binaries
  * Add a patch to fix the failing test
  * Update debian/afl++-clang.lintian-overrides
  * Bump Standards-Version to 4.6.0 (no change)
  * Add scripts for deprecated afl-clang and afl-clang++ with specific clang version
  * Use clang and llvm version 12

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Sep 2021 08:41:43 +0200
