## aflplusplus 4.02c

=== debian/changelog ===
aflplusplus (4.02c-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 amd armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 14:06:59 +0200

aflplusplus (4.02c-1) unstable; urgency=medium

  * New upstream version 4.02c
  * Switch to llvm-toolchain-14 (Closes: #1017655)
  * Do not run dh_dwz
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 08 Sep 2022 15:02:46 +0200
