=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
 Build-Depends:
- clang-13,
+ clang-14,
  debhelper-compat (= 13),
  dh-buildinfo,
  gcc-10-plugin-dev (>= 10.2.1-16),
- llvm-13-dev,
+ llvm-14-dev,
  python3-dev,
 # for the tests
  clang,
  libcmocka-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/vanhauser-thc/AFLplusplus
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aflplusplus
