=== qemu_mode/unsigaction/Makefile ===
--- 
+++ 
@@ -12,19 +12,19 @@
 #
 #   http://www.apache.org/licenses/LICENSE-2.0
 #
-.POSIX:
 
-_UNIQ=_QINU_
-
-TARGETCANDIDATES=unsigaction.so
-_TARGETS=$(_UNIQ)$(AFL_NO_X86)$(_UNIQ)
-__TARGETS=$(_TARGETS:$(_UNIQ)1$(_UNIQ)=)
-TARGETS=$(__TARGETS:$(_UNIQ)$(_UNIQ)=$(TARGETCANDIDATES))
+TARGETS=unsigaction.so unsigaction32.so unsigaction64.so
 
 all:  $(TARGETS)
 
 unsigaction.so: unsigaction.c
 	@if $(CC) -fPIC -shared unsigaction.c -o unsigaction.so 2>/dev/null ; then echo "unsigaction build success"; else echo "unsigaction build failure (that's fine)"; fi
 
+unsigaction32.so: unsigaction.c
+	@if $(CC) -fPIC -m32 -shared unsigaction.c -o unsigaction32.so 2>/dev/null ; then echo "unsigaction32 build success"; else echo "unsigaction32 build failure (that's fine)"; fi
+
+unsigaction64.so: unsigaction.c
+	@if $(CC) -fPIC -m64 -shared unsigaction.c -o unsigaction64.so 2>/dev/null ; then echo "unsigaction64 build success"; else echo "unsigaction64 build failure (that's fine)"; fi
+
 clean:
 	rm -f unsigaction.so
