=== debian/changelog ===
aflplusplus (4.04c-4) unstable; urgency=medium

  * Import a patch to fix CVE-2023-26266 (Closes: #1033255)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Mar 2023 11:29:28 +0100

aflplusplus (4.04c-3) unstable; urgency=medium

  * Disable lld support on s390x for now (Closes: #1026103). Thanks to
    Gianfranco Costamagna

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:58:26 +0100

aflplusplus (4.04c-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Add missing build dependency on dh-strip-nondeterminism for command dh_strip_nondeterminism.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Sophie Brun ]
  * Add missing build-dep lld-14 (Closes: #1025443)
  * Disable download attempts during the build (Closes: #1025454)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Dec 2022 15:01:31 +0100

aflplusplus (4.04c-1) unstable; urgency=medium

  * New upstream version 4.04c
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Nov 2022 10:41:42 +0100

aflplusplus (4.02c-2) unstable; urgency=medium

  * Do not ignore gcc plugin failures (Closes: #1023671)
  * Update build-dep to gcc-12-plugin-dev

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Nov 2022 14:58:34 +0100
