=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aflplusplus
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
@@ -10,12 +9,14 @@
  clang-14,
  debhelper-compat (= 13),
  dh-buildinfo,
- gcc-10-plugin-dev (>= 10.2.1-16),
+ gcc-12-plugin-dev,
+ lld-14 [!s390x],
  llvm-14-dev,
  python3-dev,
 # for the tests
  clang,
- libcmocka-dev
+ libcmocka-dev,
+ dh-strip-nondeterminism
 Standards-Version: 4.6.1
 Homepage: https://github.com/vanhauser-thc/AFLplusplus
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
