=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 # Keep this in sync with Build-Depends (clang-X, llvm-X-dev)
-export LLVM_MAJOR_VERSION = 13
+export LLVM_MAJOR_VERSION = 14
 export LLVM_CONFIG = llvm-config-$(LLVM_MAJOR_VERSION)
 
 %:
@@ -67,4 +67,8 @@
 	dh_strip -Nafl++-doc
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Nafl++-doc 
+	dh_makeshlibs -Nafl++-doc
+
+override_dh_dwz:
+	# do not run dh_dwz. Since clang 14 it fails with
+	# "Unknown debugging section .debug_addr"
