## aflplusplus 4.08c

=== debian/changelog ===
aflplusplus (4.08c-1ubuntu2) mantic; urgency=medium

  * Ignore for now test failures on s390x, clang is flaky there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Sep 2023 20:15:45 +0200

aflplusplus (4.08c-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 08:47:56 +0200

aflplusplus (4.08c-1) unstable; urgency=medium

  * gcc-mutlilib is not available on all arch (Closes: #1038760)
  * New upstream version 4.08c
  * Fix build with gcc 13 (Closes: #1037569)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2023 14:52:09 +0200

aflplusplus (4.07c-1ubuntu2) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - depend on gcc-multilib only on amd64 and s390x
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2023 22:46:27 +0200

aflplusplus (4.07c-1) unstable; urgency=medium

  * New upstream version 4.07c
  * Refresh patches
  * Add missing build-dep (Closes: #1034004)
  * Drop transitional packages (Closes: #1038213, #1038214, #1038215, #1038216)
  * Bump Standards-Version to 4.6.2 (no change)
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Jun 2023 15:24:12 +0200

aflplusplus (4.04c-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Mar 2023 07:49:41 +0200

aflplusplus (4.04c-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Jan 2023 09:45:35 +0100

aflplusplus (4.04c-2ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 09:46:30 +0000

aflplusplus (4.04c-2ubuntu2) lunar; urgency=medium

  * Disable lld support on s390x for now, making the build fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2022 10:40:50 +0100

aflplusplus (4.04c-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2022 10:21:02 +0100

aflplusplus (4.04c-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2022 11:15:00 +0100
