=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  clang-14,
  debhelper-compat (= 13),
  dh-buildinfo,
- gcc-12-plugin-dev,
+ gcc-13-plugin-dev,
+ gcc-multilib [amd64 i386 mips64el mipsel ppc64 s390x sparc64 x32],
  lld-14 [!s390x],
  llvm-14-dev,
  python3-dev,
@@ -17,7 +18,7 @@
  clang,
  libcmocka-dev,
  dh-strip-nondeterminism
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/vanhauser-thc/AFLplusplus
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aflplusplus
@@ -49,18 +50,6 @@
  .
  afl++ is a fork of the unmaintained afl.
 
-Package: afl++-clang
-Architecture: any
-Section: oldlibs
-Depends: afl++,
-         ${misc:Depends}
-Recommends: afl++-doc
-Breaks: afl-clang (<< 2.53c)
-Replaces: afl-clang (<< 2.53c)
-Description: transitional dummy package for afl++-clang to afl++
- This is a transitional package. It can safely be removed once afl++ is
- installed.
-
 Package: afl++-doc
 Architecture: all
 Section: doc
@@ -74,27 +63,3 @@
  .
  This package provides the documentation, a collection of special crafted test
  cases, vulnerability samples and experimental stuff.
-
-Package: afl
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, afl++
-Description: transitional dummy package for afl to afl++
- This is a transitional package. It can safely be removed once afl++ is
- installed.
-
-Package: afl-clang
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, afl++-clang
-Description: transitional dummy package for afl-clang to afl++-clang
- This is a transitional package. It can safely be removed once afl++-clang is
- installed.
-
-Package: afl-doc
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, afl++-doc
-Description: transitional dummy package for afl-doc to afl++-doc
- This is a transitional package. It can safely be removed once afl++-doc is
- installed.
