=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,11 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (s390x,$(DEB_HOST_ARCH))
+	$(MAKE) test || true
+else
 	$(MAKE) test
+endif
 endif
 
 override_dh_gencontrol:
