=== debian/changelog ===
aflplusplus (4.09c-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:05:14 +1100

aflplusplus (4.09c-1ubuntu2) noble; urgency=high

  * No change rebuild against libpython3.12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:48:15 +0100

aflplusplus (4.09c-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf
    - Ignore for now test failures on s390x, clang is flaky there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jan 2024 09:52:12 +0100

aflplusplus (4.09c-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sophie Brun ]
  * New upstream version 4.09c (Closes: #1053679)
  * Upgrade to llvm-toolchain 17 (Closes: #1061209)
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jan 2024 14:33:34 +0100

aflplusplus (4.08c-1ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:36:36 +0000
