=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: aflplusplus
 Section: devel
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
 Build-Depends:
- clang-14,
+ clang-17,
  debhelper-compat (= 13),
  dh-buildinfo,
  gcc-13-plugin-dev,
  gcc-multilib [amd64 i386 mips64el mipsel ppc64 s390x sparc64 x32],
- lld-14 [!s390x],
- llvm-14-dev,
+ lld-17 [!s390x],
+ llvm-17-dev,
  python3-dev,
 # for the tests
  clang,
