## aflplusplus 4.20c

=== debian/changelog ===
aflplusplus (4.20c-6) unstable; urgency=medium

  * Another patch that should fix the s390x tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 16 May 2024 15:36:13 +0700

aflplusplus (4.20c-5) unstable; urgency=medium

  * Revert "test-llvm: Fuzz for 60 seconds (was 30)"
  * Add patch to fix test suite for good (?)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 14 May 2024 22:41:03 +0700

aflplusplus (4.20c-4) unstable; urgency=medium

  * test-llvm: Fuzz for 60 seconds (was 30)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 13 May 2024 10:00:05 +0700

aflplusplus (4.20c-3) unstable; urgency=medium

  * Add patch to re-enable afl-cc for i386

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 11 May 2024 14:57:50 +0700

aflplusplus (4.20c-2) unstable; urgency=medium

  * Cherry-pick upstream patches to fix afl-gcc

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 17 Apr 2024 20:41:05 +0700

aflplusplus (4.20c-1) unstable; urgency=medium

  * Update upstream url
  * New upstream version 4.20c
  * Refresh patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 15 Apr 2024 16:00:18 +0700
