=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aflplusplus
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
@@ -20,7 +19,7 @@
  libcmocka-dev,
  dh-strip-nondeterminism
 Standards-Version: 4.6.2
-Homepage: https://github.com/vanhauser-thc/AFLplusplus
+Homepage: https://github.com/AFLplusplus/AFLplusplus
 Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/aflplusplus
